/*
* 
*
*
* DEBUT FONCTIONS QU'IL FAUDRA ADAPTER (PRIORITAIRE)
*
*
*
*/



// Affiche le formulaire de changement de grille
function changerGrille() {
	FormChangerGrille();
}
function FormChangerGrille() {

	var code ='';
	
	code += '<div id="changergrillebackground" style="width:100%;height:100%;background-color:rgba(0,255,0,0.9);position:absolute;z-index:10000;">';
		
		code += '<h1 style="margin:15% 0;">Choisissez une nouvelle grille :</h1>';
		
		code += '<select id="changergrilleselect" style="width:70%;height:10%;margin-left:15%;font-size: 250%;">';
		
		for(var i = 1; i <= __LISTEGRILLES__.length; i++) {


            // ce if nous permet d'autoselectionner la grille qui est utilisée
            if(i == __DOCTEUR__.idLastGrille){

                code += '<option style="font-size: 100%;" value="' + __LISTEGRILLES__[i].libelle + '" selected >' + __LISTEGRILLES__[i].libelle + '</option>';
            }

            else{
			code += '<option style="font-size: 100%;" value="' + __LISTEGRILLES__[i].libelle + '">' + __LISTEGRILLES__[i].libelle + '</option>';
            }

		}
		code += '</select>';
		
		code += '<p><br> <br> <br> <br> <br> <br> <br> <br> <br> <h1>Go!</h1></p>';
	
	code += '</div>';
	
	$('body').after(code);
}



// INUTILE POUR L'INSTANT : Envoie un evenement de storage sur document
function storageEvent(key, oldValue, newValue, url, storageArea) {
	
	// Attributs et initialisation
	if(typeof key == 'undefined') {key = 'defaultKey'}
	if(typeof oldValue == 'undefined') {oldValue = 'defaultOldValue'}
	if(typeof newValue == 'undefined') {newValue = 'defaultNewValue'}
	if(typeof url == 'undefined') {url = 'defaultUrl'}
	if(typeof storageArea == 'undefined') {storageArea = 'defaultStorageArea'}
	
	// On envoie l'evenement
	$(document).trigger("storage", [key, oldValue, newValue, url, storageArea]);
}


function updateDB(e, key, oldValue, newValue, url, storageArea) {
	
	// Si le navigateur est en ligne
	if(navigator.onLine) {
		
		console.log(storageArea);
		
	}
	else {
		console.log('Le navigateur est actuellement hors-ligne. Les mises a jour seront effectuees des la prochaine connexion.');
		
	}
}




/*
*
*
*
* FIN FONCTIONS QU'IL FAUDRA ADAPTER (PRIORITAIRE)
*
*
*
*/






/*
*
*
*
* DEBUT FONCTIONS QU'IL FAUDRA ADAPTER (SECONDAIRE -> blc)
*
*
*
*/

// Fonction by Cessou
function pageQuestionsOnly() { loadPage("pageQuestion1"); }


function updateScore() {
        
        var scoreTotal = 0;
		var idGrille = __DOCTEUR__.idLastGrille;
		var valeursGrille = getCurrentDataGrille();
        var scoreSeuil =__LISTEGRILLES__[idGrille].seuil;
		var poidsH = __LISTEGRILLES__[idGrille].poids;
        
        for(var i = 0; i < __LISTEGRILLES__[idGrille].poids.length; i++) {
                scoreTotal += poidsH[i] *valeursGrille[i];
                
        };
        
        
        $("#totalScore").text(scoreTotal);     
}


function formulaireCreerPatient() {
        
        // On supprime la page précédente
        $('#rechercherPatient').remove();
        $('#ajouterPatient').remove();
        $("#formulairecreerpatient").remove();
                
        $("h4").text("Ajouter un nouveau patient");
                
        //method="POST" action="include/insertPatient.php"
                
        var formPatient = '<form id="formulairecreerpatient">';
        formPatient += '<input type="text" name="nom" placeholder="Nom">';
        formPatient += '<input type="text" name="prenom" placeholder="Pr&eacute;nom">';
        formPatient += '<input type="date" name="datenaissance" placeholder="Date de naissance">';
        formPatient += '<SELECT name="sexe"><OPTION value="">-----</option><OPTION value="H">Homme</option><OPTION value="F">Femme</option></SELECT>';
        formPatient += '<input type="text" name="adresse" placeholder="Adresse">';
        formPatient += '<input type="text" name="ville" placeholder="Ville">';
        formPatient += '<input type="text" name="chambre" placeholder="Num. de chambre">';
        formPatient += '<input type="text" name="numdossier" placeholder="Num. de dossier">';
        formPatient += '<input id="creerpatient" type="button" value="CR&Eacute;ER PATIENT" style="cursor:pointer;">';
        formPatient += '<br/><br/></form>';
                
        $('body > div').append(formPatient);
}

function creerPatient() {
                
    var champInput = $("#formulairecreerpatient").find("input");
                var champSelect = $("#formulairecreerpatient").find("select");
                var isCompletForm = true;
                var geturl = '';
                
                $.each(champInput, function() {
                        
                        if($(this).attr("type") == "text" || $(this).attr("type") == "date") {
                                if($(this).val() == "") {
                                        isCompletForm = false;
                                }
                                else {
                                        geturl += $(this).attr("name") + "=" + $(this).val() + "&";
                                }
                        }
                });
                
                if(champSelect.find("option:checked").val() == "") {
                        isCompletForm = false;
                }
                else {
                        geturl += champSelect.attr("name") + "=" + champSelect.find("option:checked").val() + "&";
                }
                
                //geturl = "nom=Mazouyer&prenom=Cyril&datenaissance=2013-11-14&sexe=H&adresse=71 rue Marengo&ville=Saint-Etienne&chambre=12345&numdossier=1300001&";                
                //isCompletForm = true;
                                
                if(!isCompletForm) {
                        alert("Le formulaire d'ajout de patient est incomplet.");
                }
                
                else {
                        
                        $.each(champInput, function() {        
                                champInput.css("opacity", "0.5");
                        });
                        
                        champSelect.css("opacity", "0.5");
						
                        var requete = $.ajax({
                                url      : "include/insertPatient.php?" + geturl,
                                type     : "GET",
                                dataType : "json",
                                success  : function(patient) {        
                                
                                        if(patient.etat == 'ok') {                
                                                
                                                __GRILLE__.valeurclinimetre = patient.valeurclinimetre;
                                                __GRILLE__.valeurgrille = patient.valeurgrille;
                                                
                                                $("#formulairecreerpatient").remove();
                                                // On fait disparaitre la page
                                                $.each($('body > div > *'), function() {
                                                        
                                                        if($(this).get(0).tagName != 'SCRIPT') {
                                                                $(this).css("display", "block");
                                                        }
                                                        
                                                });
                                                
                                                $('h4').html(patient.nom + ' ' + patient.prenom + '<br/>' + '(' + patient.sexe + '), N.' + patient.numdossier);
                                                
                                                updateRadar();
                                                clickTextRadar($(".diagramText").get(__GRILLE__.champs.length - 1));
                                                updateScore();
                                                
                                        }
                                        else {
                                                
                                                $.each(champInput, function() {        
                                                        champInput.css("opacity", "1");
                                                });
                                                
                                                champSelect.css("opacity", "1");
                                                
                                                alert("Ce patient existe déjà.");
                                                
                                        }
                                }
                        });
                        
                }
}


function rechercherOuAjouter() {
        
        // On fait disparaitre la page
        $('body > div > *').css("display", "none");
        // On ne garde que la première bande
        $('#etablissement').css("display", "block");
        //var res = getLigneLogoGrillePatient();
        //$('body').html(res);
        $('h4').text('Rechercher ou ajouter un patient');
        
        var tailleEnTete = $('#etablissement').height();
        var tailleTotale = $(window).height();
        var tailleRechercher = (tailleTotale - tailleEnTete)/2;
        var tailleAjouter = tailleRechercher;
        
        $('body > div').append('<div id="rechercherPatient" style="width:100%;height:' + tailleRechercher + 'px;background-color:#818285;cursor:pointer;color:#4cb748;font-size:100px;margin:0 auto;text-align:center;">Rechercher</div>');
        $('body > div').append('<div id="ajouterPatient" style="width:100%;height:' + tailleAjouter + 'px;background-color:#4cb748;cursor:pointer;color:#818285;font-size:100px;margin:0 auto;text-align:center;">Ajouter</div>');
}


function formulaireRechercherPatient() {
        
        // On supprime la page précédente
        $('#rechercherPatient').remove();
        $('#ajouterPatient').remove();
        $("#formulairerechercherpatient").remove();
                
        $("h4").text("Rechercher un patient");
        
        var formPatient = '<form id="formulairerechercherpatient" autocomplete="off">';
        formPatient += '<input type="search" name="nom" placeholder="Nom">';
        formPatient += '<input type="search" name="prenom" placeholder="Prenom">';
        formPatient += '<input type="search" name="numchambre" placeholder="Num. de chambre">';
        formPatient += '<input type="search" name="numdossier" placeholder="Num. de dossier">';
		formPatient += '<input type="password" name="codeconfi" placeholder="Code confidentiel">';
        formPatient += '<input id="rechercherpatient" type="button" value="RECHERCHER PATIENT" style="cursor:pointer;">';
        formPatient += '<br/><br/></form>';
                
        $('body > div').append(formPatient);
}

function rechercherPatient() {
                
        var champInput = $("#formulairerechercherpatient").find("input");
        var isCompletForm = false;
		var isSetConf = false;
        var geturl = '';
        
        $.each(champInput, function() {
                
                if($(this).attr("type") == "search") {
                	if($(this).val() != "") {
                    	isCompletForm = true;
                        geturl += $(this).attr("name") + "=" + $(this).val() + "&";
                    }
                }
				else if($(this).attr("type") == "password" && $(this).val() != "") {
						isSetConf = true;
						geturl += $(this).attr("name") + "=" + $(this).val() + "&";
						
				}
        });
        
        //geturl = "nom=Mazouyer&prenom=Cyril&numchambre=12345&numdossier=1300001&";                
        //isCompletForm = true;
                                
        if(!isCompletForm) {
                alert("Le formulaire de recherche de patient est vide. Renseignez au moins un champ.");
        }
		
		else if(!isSetConf){
			alert('Le code confidentiel est obligatoire pour acceder aux donnees des patients');
		}
        
        else {
                
                $.each(champInput, function() {        
                        $(this).css("opacity", "0.5");
                });
                
                var requete = $.ajax({
                        url      : "include/rechercherPatient.php?" + geturl,
                        type     : "GET",
                        dataType : "json",
                        success  : function(patient) {        
                        	
                                if(patient.etat == 'ok' || patient.etat == 'nokdata') {
                                        
                                        if(patient.etat == 'nokdata') {        alert("Il n'y a aucune données pour ce patient."); }
                                        
                                        __GRILLE__.valeurclinimetre = patient.valeurclinimetre;
                                        __GRILLE__.valeurgrille = patient.valeurgrille;
                                        
                                        $("#formulairerechercherpatient").remove();
                                        // On fait disparaitre la page
                                        $.each($('body > div > *'), function() {
                                                
                                                if($(this).get(0).tagName != 'SCRIPT') {
                                                        $(this).css("display", "block");
                                                }
                                                
                                        });
                                        
                                        $('h4').html(patient.nom + ' ' + patient.prenom + '<br/>' + '(' + patient.sexe + '), N.' + patient.numdossier);
                                        
                                        updateRadar();
                                        clickTextRadar($(".diagramText").get(__GRILLE__.champs.length - 1));
                                        updateScore();
                                }
								
                                else {
									if(patient.etat == 'nokpatient') {
                                        alert("Ce patient n'existe pas.");
									}
									else if(patient.etat = 'wrongcodeconfi') {
										alert("Le code confidentiel est erroné")
									}
									$.each(champInput, function() {        
                                    	champInput.css("opacity", "1");
                                    });
								}
                        }
                });
                
        }
}

